---
title: Signals
...

# Signals

GObject signals can be used to notify applications of events specific to
this object. Note, however, that the application needs to be aware of
signals and their meaning, so if you're looking for a generic way for
application-element interaction, signals are probably not what you're
looking for. In many cases, however, signals can be very useful. See the
[GObject documentation](http://library.gnome.org/devel/gobject/stable/)
for all internals about signals.
